Qt 5.11 | Qt 3D | C++ Classes | QTextureWrapMode

Qt 5.11.3 Reference Documentation

# QTextureWrapMode Class

(Qt3DRender::QTextureWrapMode)

Defines the wrap mode a Qt3DRender::QAbstractTexture should apply to a texture. More...

Header: | #include <QTextureWrapMode>
qmake: | QT += 3drender
Since: | Qt 5.5

- List of all members, including inherited members

## Public Types

enum | WrapMode { Repeat, MirroredRepeat, ClampToEdge, ClampToBorder }

## Properties

- x : WrapMode
- y : WrapMode
- z : WrapMode

## Public Functions

| QTextureWrapMode(Qt3DRender::QTextureWrapMode::WrapMode wrapMode = ClampToEdge, QObject *parent = nullptr)
| QTextureWrapMode(Qt3DRender::QTextureWrapMode::WrapMode x, Qt3DRender::QTextureWrapMode::WrapMode y, Qt3DRender::QTextureWrapMode::WrapMode z, QObject *parent = nullptr)
Qt3DRender::QTextureWrapMode::WrapMode | x() const
Qt3DRender::QTextureWrapMode::WrapMode | y() const
Qt3DRender::QTextureWrapMode::WrapMode | z() const

## Public Slots

void | setX(Qt3DRender::QTextureWrapMode::WrapMode x)
void | setY(Qt3DRender::QTextureWrapMode::WrapMode y)
void | setZ(Qt3DRender::QTextureWrapMode::WrapMode z)

## Signals

void | xChanged(Qt3DRender::QTextureWrapMode::WrapMode x)
void | yChanged(Qt3DRender::QTextureWrapMode::WrapMode y)
void | zChanged(Qt3DRender::QTextureWrapMode::WrapMode z)

## Detailed Description

Defines the wrap mode a Qt3DRender::QAbstractTexture should apply to a texture.

## Member Type Documentation

### enum QTextureWrapMode::WrapMode

Specifies the type of text wrapping. Possible values:

Constant | Value
--- | ---
`Qt3DRender::QTextureWrapMode::Repeat` | `0x2901`
`Qt3DRender::QTextureWrapMode::MirroredRepeat` | `0x8370`
`Qt3DRender::QTextureWrapMode::ClampToEdge` | `0x812F`
`Qt3DRender::QTextureWrapMode::ClampToBorder` | `0x812D`

## Property Documentation

### x : WrapMode

Returns the wrap mode of the x dimension.

Access functions:

Qt3DRender::QTextureWrapMode::WrapMode | x() const
void | setX(Qt3DRender::QTextureWrapMode::WrapMode x)

Notifier signal:

void | xChanged(Qt3DRender::QTextureWrapMode::WrapMode x)

### y : WrapMode

Returns the wrap mode of the y dimension.

Access functions:

Qt3DRender::QTextureWrapMode::WrapMode | y() const
void | setY(Qt3DRender::QTextureWrapMode::WrapMode y)

Notifier signal:

void | yChanged(Qt3DRender::QTextureWrapMode::WrapMode y)

### z : WrapMode

Returns the wrap mode of the z dimension.

Access functions:

Qt3DRender::QTextureWrapMode::WrapMode | z() const
void | setZ(Qt3DRender::QTextureWrapMode::WrapMode z)

Notifier signal:

void | zChanged(Qt3DRender::QTextureWrapMode::WrapMode z)

## Member Function Documentation

### QTextureWrapMode::QTextureWrapMode(Qt3DRender::QTextureWrapMode::WrapMode wrapMode = ClampToEdge, QObject *parent = nullptr)

Default constructs an instance of QTextureWrapMode.

### QTextureWrapMode::QTextureWrapMode(Qt3DRender::QTextureWrapMode::WrapMode x, Qt3DRender::QTextureWrapMode::WrapMode y, Qt3DRender::QTextureWrapMode::WrapMode z, QObject *parent = nullptr)

Contrusts a new Qt3DRender::QTextureWrapMode instance with the wrap mode to apply to each dimension x, y z of the texture and parent as parent.

### `[slot]` void QTextureWrapMode::setX(Qt3DRender::QTextureWrapMode::WrapMode x)

Sets the wrap mode of the x dimension to x.

Note: Setter function for property x.

See also x().

### `[slot]` void QTextureWrapMode::setY(Qt3DRender::QTextureWrapMode::WrapMode y)

Sets the wrap mode of the y dimension to y.

Note: this is not available on 1D textures.

Note: Setter function for property y.

See also y().

### `[slot]` void QTextureWrapMode::setZ(Qt3DRender::QTextureWrapMode::WrapMode z)

Sets the wrap mode of the z dimension to z.

Note: this is only available on 3D textures.

Note: Setter function for property z.

See also z().